Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/opa9.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/opa9.driver	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/opa9.driver	(revision 3969)
@@ -69,12 +69,4 @@
     fi
 
-    if [[ ${opa9_UserChoices_TimeOrigin} -gt ${InitYear} ]] ; then
-        echo
-        echo
-        IGCM_debug_Exit "TimeOrigin=${opa9_UserChoices_TimeOrigin} is greater than initial year=${InitYear}. IT MUST BE LOWER ! Change this value in opa9.card"
-        IGCM_debug_Verif_Exit
-    fi
-
-    
     IGCM_debug_PopStack "OCE_Initialize"
    
@@ -126,6 +118,7 @@
       OPA_NRSTDT=2
       #echo "OPA RESTART"
-      IGCM_debug_Print 1 'WARNING : dangerous option'
+      IGCM_debug_Print 1 'WARNING : dangerous option for NEMO opa9 pisces lim3'
       IGCM_debug_Print 1 'Reproducibility_after_Restart forced ie kt forced to kt red in restart file : ' ${opa9_UserChoices_Reproducibility_after_restart}
+
     elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_OCE_Restart}" = "n" ] ) ; then
       OPA_LRSTAR=.FALSE.
@@ -166,5 +159,32 @@
 
     if ( [ "${opa9_UserChoices_Reproducibility_after_restart}" = "y" ] ) ; then
-      NEMO_KT_FROM_RESTART=$(ncdump -v kt restartopa_0000.nc|grep 'kt ='|awk '{print $3}' )
+      ##-- choose the right restart file
+      NEMO_RESTART_FILE=restartopa.nc
+      [ -f restartopa_0000.nc ] && NEMO_RESTART_FILE=restartopa_0000.nc
+      ##-- Getting from restart file the last time step of the run at which we want to re-start
+      NEMO_KT_FROM_RESTART=$(ncdump -v kt ${NEMO_RESTART_FILE}|grep 'kt ='|awk '{print $3}' )
+
+      if ( [ "${CumulPeriod}" -eq 1 ] ) ; then
+        ## Force the date in the restart file to be the last day before the begining of the new run
+        dateendprevious=$( IGCM_date_AddDaysToGregorianDate ${DateBegin} -1 )
+        IGCM_debug_Print 1 "Previous Date  ${dateendprevious}"
+        IGCM_debug_Print 1 "cmd done to modify NEMO restartfile:   ncap2 -s ndastp=${dateendprevious} ${NEMO_RESTART_FILE}  tmp.nc"
+	if [ -f restartopa_0000.nc ] ; then
+           typeset -Z4 ncpu=0
+           while [ $ncpu -lt ${OCE_PROC_MPI} ] ; do
+              ncap2 -s "ndastp=${dateendprevious}" restartopa_${ncpu}.nc  tmp.nc
+              mv tmp.nc restartopa_${ncpu}.nc
+              (( ncpu = ncpu + 1 ))
+           done
+        else
+           ncap2 -s "ndastp=${dateendprevious}" ${NEMO_RESTART_FILE}  tmp.nc
+           mv tmp.nc ${NEMO_RESTART_FILE}
+        fi
+        ##-- Getting from restart file the "new" restart date of run at which we want to re-start
+        NEMO_NDASTP_FROM_RESTART=$(ncdump -v ndastp ${NEMO_RESTART_FILE}|grep 'ndastp ='|awk '{print $3}' )
+        IGCM_debug_Print 1 "NEMO_NDASTP (from Restart) for 1st Period       : ${NEMO_NDASTP_FROM_RESTART}"
+
+      fi
+
       (( NEMO_NIT000 = NEMO_KT_FROM_RESTART + 1 ))
       (( NEMO_NITEND = NEMO_KT_FROM_RESTART + OPA_NITEND - OPA_NIT000 + 1 ))
@@ -208,8 +228,8 @@
 
 
-    IGCM_comp_modifyXmlFile force context_nemo.xml ref_year NONE ${opa9_UserChoices_TimeOrigin}
+    IGCM_comp_modifyXmlFile force context_nemo.xml ref_year NONE ${InitYear} 
 	
  
-    # vargas/titane/MPP and switch from 1 proc to 5 procs. We need to suppres restartopa the second month, if restartopa_0000 exist
+    # for MPP and switch to different number of procs for NEMO.  We need to suppres restartopa the second period, if restartopa_0000 exist
     # same thing for restart_trc and restart_ice_in
 
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/orchidee.driver	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/orchidee.driver	(revision 3969)
@@ -59,4 +59,21 @@
     else
         IGCM_comp_modifyDefFile nonblocker orchidee.def VEGET_UPDATE 0Y
+    fi
+
+    # Set LAI_MAP in orchidee.def acording to value set in orchidee.card section UserChoices
+    # If LAI_MAP is not definded in orchidee.card, set default value n
+    # Note: this option is only read by ORCHIDEE if starting without restart files
+    if [ ! X${orchidee_UserChoices_LAI_MAP} = X ] ; then
+        IGCM_comp_modifyDefFile nonblocker orchidee.def LAI_MAP   ${orchidee_UserChoices_LAI_MAP}
+    else
+        IGCM_comp_modifyDefFile nonblocker orchidee.def LAI_MAP   DEFAULT
+    fi
+
+    # Set DO_WOOD_HARVEST in orchidee.def acording to value set in orchidee.card section UserChoices
+    # If DO_WOOD_HARVEST is not definded in orchidee.card, set default value y
+    if [ ! X${orchidee_UserChoices_DO_WOOD_HARVEST} = X ] ; then
+        IGCM_comp_modifyDefFile nonblocker orchidee.def DO_WOOD_HARVEST   ${orchidee_UserChoices_DO_WOOD_HARVEST}
+    else
+        IGCM_comp_modifyDefFile nonblocker orchidee.def DO_WOOD_HARVEST   DEFAULT
     fi
 
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/pisces.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/pisces.driver	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/pisces.driver	(revision 3969)
@@ -43,5 +43,12 @@
 
     ##-- Restart configuration
-    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "n" ] ) ; then
+    ##-- Restart configuration
+    if ( [ "${opa9_UserChoices_Reproducibility_after_restart}" = "y" ] ) ; then
+        TOP_LN_RSTR=.TRUE.
+        TOP_NN_RSTR=2
+        IGCM_debug_Print 1 'WARNING : dangerous option for NEMO pisces too'
+        IGCM_debug_Print 1 'Reproducibility_after_Restart forced : ' ${opa9_UserChoices_Reproducibility_after_restart}
+
+    elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "n" ] ) ; then
 
         #echo "NO RESTART FOR TOP"
@@ -56,7 +63,8 @@
 
         # If we start from IPSLCM5* restart files.
-	for file in restart_trc*.nc ; do
+	    for file in restart_trc*.nc ; do
+            IGCM_debug_Print 1 "cmd done to modify IPSLCM5* NEMO pisces restartfile: " ncrename -v TRBDSi,TRBGSi -v TRNDSi,TRNGSi -v TRNBSi,TRNDSi -v TRBBSi,TRBDSi ${file} > /dev/null 2>&1
             ncrename -v TRBDSi,TRBGSi -v TRNDSi,TRNGSi -v TRNBSi,TRNDSi -v TRBBSi,TRBDSi ${file} > /dev/null 2>&1
-	done
+	    done
 
     else
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/xios.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/xios.driver	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/DRIVER/xios.driver	(revision 3969)
@@ -19,4 +19,9 @@
     IGCM_comp_modifyXmlFile force iodef.xml using_server NONE true
 
+# Activate 2nd server level for CMIP6 type experiments (CMIP6 workflow)
+    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+    IGCM_comp_modifyXmlFile force iodef.xml using_server2 NONE true
+    fi
+
     if [ -f namcouple ] ; then
 	sed -e "s/2  LMDZ oceanx/3 LMDZ oceanx ${config_Executable_IOS[1]}/" namcouple > namcouple.tmp 
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/config.def_actuel
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/config.def_actuel	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/config.def_actuel	(revision 3969)
@@ -1,4 +1,4 @@
 ##  Cycle diurne  ou non                 
-cycle_diurne=y
+iflag_cycle_diurne=1
 ##  Soil Model  ou non               
 soil_model=y
@@ -15,13 +15,14 @@
 # Parametres "orbitaux/ ere geologique"
 #
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
+### R_ecc =      Excentricite (lue dans Eccentricity.txt)
+R_ecc = _AUTO_: DEFAULT = 0.016715
+### R_peri =     Equinoxe (lue dans Perihelie.txt)
+R_peri = _AUTO_: DEFAULT = 102.7
+### R_incl =     Inclinaison (lue dans Obliquity.txt)
+R_incl = _AUTO_: DEFAULT = 23.441
 ### solaire =    Constante solaire
 #solaire = _AUTO_ : DEFAULT = 1366.0896
 solaire = _AUTO_ : DEFAULT = 1361.20 
+# solaire est modifie avec les valeurs du fichier SOLARANDVOLCANOES.txt
 ### constante solaire lue dans un fichier par defaut
 ok_suntime_rrtm=y
@@ -52,4 +53,6 @@
 ### aerosol coupling = online (y) or offline (n)
 aerosol_couple=_AUTO_
+### Ozone chemistry coupling = online (y) or offline (n)
+chemistry_couple=_AUTO_
 ###  flag_aerosol = type of coupled aerosol, if aerosol offline 
 ###  0 => no aerosol, 1 => sulfate only, 2 => bc only, 3 => pom only, 4 => seasalt only, 5 => dust only, 6 => all aerosol
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/config.def_annuel
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/config.def_annuel	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/config.def_annuel	(revision 3969)
@@ -1,4 +1,4 @@
 ##  Cycle diurne  ou non                 
-cycle_diurne=y
+iflag_cycle_diurne=1
 ##  Soil Model  ou non               
 soil_model=y
@@ -15,10 +15,10 @@
 # Parametres "orbitaux/ ere geologique"
 #
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
+### R_ecc =      Excentricite (lue dans Eccentricity.txt)
+R_ecc = _AUTO_: DEFAULT = 0.016715
+### R_peri =     Equinoxe (lue dans Perihelie.txt)
+R_peri = _AUTO_: DEFAULT = 102.7
+### R_incl =     Inclinaison (lue dans Obliquity.txt)
+R_incl = _AUTO_: DEFAULT = 23.441
 ### solaire =    Constante solaire
 # solaire est modifie avec les valeurs du fichier SOLARANDVOLCANOES.txt
@@ -53,4 +53,6 @@
 ### aerosol coupling = online (y) or offline (n)
 aerosol_couple=_AUTO_
+### Ozone chemistry coupling = online (y) or offline (n)
+chemistry_couple=_AUTO_
 ###  flag_aerosol = type of coupled aerosol, if aerosol offline 
 ###  0 => no aerosol, 1 => sulfate only, 2 => bc only, 3 => pom only, 4 => seasalt only, 5 => dust only, 6 => all aerosol
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/config.def_preind
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/config.def_preind	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/config.def_preind	(revision 3969)
@@ -1,4 +1,4 @@
 ##  Cycle diurne  ou non                 
-cycle_diurne=y
+iflag_cycle_diurne=1
 
 ## Pas de temps de couplage (s). 
@@ -17,11 +17,11 @@
 # Parametres "orbitaux/ ere geologique"
 #
-### R_ecc =      Excentricite
-R_ecc = 0.016715
-### R_peri =     Equinoxe
-R_peri = 102.7
-### R_incl =     Inclinaison
-R_incl = 23.441
-### solaire =    Constante solaire
+### R_ecc =      Excentricite (lue dans Eccentricity.txt)
+R_ecc = _AUTO_: DEFAULT = 0.016715
+### R_peri =     Equinoxe (lue dans Perihelie.txt)
+R_peri = _AUTO_: DEFAULT = 102.7
+### R_incl =     Inclinaison (lue dans Obliquity.txt)
+R_incl = _AUTO_: DEFAULT = 23.441
+### solaire =    Constante solaire (lue dans SOLARANDVOLCANOES.txt)
 solaire = _AUTO_: DEFAULT = 1361.20
 ### constante solaire lue dans un fichier par defaut
@@ -53,4 +53,6 @@
 ### aerosol coupling = online (y) or offline (n)
 aerosol_couple=_AUTO_
+### Ozone chemistry coupling = online (y) or offline (n)
+chemistry_couple=_AUTO_
 ###  flag_aerosol = type of coupled aerosol, if aerosol offline 
 ###  0 => no aerosol, 1 => sulfate only, 2 => bc only, 3 => pom only, 4 => seasalt only, 5 => dust only, 6 => all aerosol
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/namelist_ORCA1_cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/namelist_ORCA1_cfg	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/namelist_ORCA1_cfg	(revision 3969)
@@ -290,8 +290,4 @@
 !-----------------------------------------------------------------------
 /
-!-----------------------------------------------------------------------
-&namtra_adv_mle !  mixed layer eddy parametrisation (Fox-Kemper param)
-!-----------------------------------------------------------------------
-/
 !----------------------------------------------------------------------------------
 &namtra_ldf    !   lateral diffusion scheme for tracers
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/namelist_cfc_cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/namelist_cfc_cfg	(revision 3969)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/namelist_cfc_cfg	(revision 3969)
@@ -0,0 +1,11 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! CFC  : ORCA2_LIM_CFC_C14b configuration namelsit used to overwrite SHARED/namelist_cfc_ref
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namcfcdate     !   dates
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namcfcdia     !   additional 2D/3D tracers diagnostics 
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+/
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/orchidee.def_CWRR	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/orchidee.def_CWRR	(revision 3969)
@@ -80,7 +80,7 @@
 NVM=15
 PFT_TO_MTC=1,2,3,4,5,6,7,8,9,10,11,12,13,10,10
-NAME__10='temperate C3           grass      '
-NAME__14='tropical  C3           grass      '
-NAME__15='boreal    C3           grass      '
+PFT_NAME__10='temperate C3           grass      '
+PFT_NAME__14='tropical  C3           grass      '
+PFT_NAME__15='boreal    C3           grass      '
 
 # STRESS_GS, STRESS_GM, STRESS_VCMAX : Stress on GS, GM and VCMAX
@@ -137,5 +137,5 @@
 
 # Activate harvest of wood
-DO_WOOD_HARVEST=y
+DO_WOOD_HARVEST=_AUTO_ : DEFAULT=y
 
 # Growth respiration (default values except for PFT=14 and PFT=15)
@@ -190,4 +190,6 @@
 VEGET_UPDATE = _AUTO_
 
+# Read lai map (default n)
+LAI_MAP = _AUTO_ : DEFAULT = n
 
 # Parameters related to surface and thermal physical properties
Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/orchidee.def_Choi
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/orchidee.def_Choi	(revision 3967)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/orchidee.def_Choi	(revision 3969)
@@ -64,4 +64,7 @@
 NVM=15
 PFT_TO_MTC=1,2,3,4,5,6,7,8,9,10,11,12,13,10,10
+PFT_NAME__10='temperate C3           grass      '
+PFT_NAME__14='tropical  C3           grass      '
+PFT_NAME__15='boreal    C3           grass      '
 
 # Set NVM and PFT_TO_MTC as follow to run with PFTmap files containing 13 pfts
@@ -80,4 +83,6 @@
 VEGET_UPDATE = _AUTO_
 
+# Read lai map (default n)
+LAI_MAP = _AUTO_ : DEFAULT = n
 
 # Create river description file
